### Method

# Atk Document get_attribute_value

since: 1.12

#### Declaration [src]

    const gchar*
    atk_document_get_attribute_value (
      AtkDocument* document,
      const gchar* attribute_name
    )

#### Description [src]

Retrieves the value of the given `attribute_name` inside `document`.

Available since: 1.12

#### Parameters

`attribute_name`

  Type: `const gchar*`

  A character string representing the name of the attribute whose value is being queried.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

A string value associated with the named attribute for this document, or `NULL` if a value for `attribute_name` has not been specified for this document.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.